Skip to main content
POST
/
v1
/
tags
Create a tag
curl --request POST \
  --url https://dev.flextell.ai/api/v1/tags \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Tenant: <x-tenant>' \
  --data '
{
  "name": "<string>",
  "color": "<string>"
}
'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "tenant_id": 123,
    "name": "<string>",
    "color": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Body

application/json
name
string
required

Tag name (unique per tenant, case-insensitive).

Maximum string length: 255
color
string
required

Tag color in 6-digit hex format (e.g. #6b7280).

Pattern: ^#[0-9A-Fa-f]{6}$

Response

success
string
required
data
TagResource · object
required